FROM python:3.10.1-slim-bullseye
RUN mkdir -p "/home/opt/lcc-b6"
RUN apt update &&apt install curl -y
RUN pip3 install requests loguru curl_cffi tls_client pyquery nacos-sdk-python pyyaml pymongo
RUN curl -fsSL https://deb.nodesource.com/setup_18.x |  bash -
RUN apt install nodejs
WORKDIR /home/opt/lcc-b6/
RUN apt install -y make g++
COPY src/package.json /home/opt/lcc-b6/package.json
COPY src/package-lock.json /home/opt/lcc-b6/package-lock.json
RUN cd /home/opt/lcc-b6/ && npm i
COPY src/src.js /home/opt/lcc-b6/src.js
COPY src/start.js /home/opt/lcc-b6/start.js
COPY src/env.json /home/opt/lcc-b6/env.json
COPY src/jetblue.py /home/opt/lcc-b6/jetblue.py
RUN apt install -y procps

CMD ["node", "start.js"]



